# Use the base image Debian:latest
FROM debian:latest

# Update the system and install Node.js and npm
RUN apt-get update && apt-get install -y curl && \
    curl -fsSL https://deb.nodesource.com/setup_14.x | bash - && \
    apt-get install -y nodejs npm

# Install Node-RED globally using npm
RUN npm install -g --unsafe-perm node-red

# Create a working directory for Node-RED
WORKDIR /node-red

# Expose the port that Node-RED will run on
EXPOSE 1880

# Command to start Node-RED
CMD ["node-red"]

